## org.codehaus.plexus.util.xml
Class CompactXMLWriter

    java.lang.Object
      org.codehaus.plexus.util.xml.PrettyPrintXMLWriter
          org.codehaus.plexus.util.xml.CompactXMLWriter

All Implemented Interfaces:
  XMLWriter

    public class CompactXMLWriter

extends PrettyPrintXMLWriter

Version:
  $Id: CompactXMLWriter.java 8010 2009-01-07 12:59:50Z vsiveton $

Field Summary

Fields inherited from class org.codehaus.plexus.util.xml.PrettyPrintXMLWriter
`LS`

Constructor Summary
`CompactXMLWriter(java.io.PrintWriter writer)`
`CompactXMLWriter(java.io.Writer writer)`

Method Summary
`protected void` `endOfLine()` Write the end of line character (using specified line separator) and start new line with indentation

Methods inherited from class org.codehaus.plexus.util.xml.PrettyPrintXMLWriter
`addAttribute, endElement, getDepth, getDocType, getElementStack, getEncoding, getLineIndenter, getLineSeparator, getWriter, setDepth, setDocType, setEncoding, setLineIndenter, setLineSeparator, setWriter, startElement, writeMarkup, writeText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompactXMLWriter

    public CompactXMLWriter(java.io.PrintWriter writer)

### CompactXMLWriter

    public CompactXMLWriter(java.io.Writer writer)

Method Detail

### endOfLine

    protected void endOfLine()

  Description copied from class: `PrettyPrintXMLWriter`
  Write the end of line character (using specified line separator) and start new line with indentation

  Overrides:
    `endOfLine` in class `PrettyPrintXMLWriter`
  See Also:
    `PrettyPrintXMLWriter.getLineIndenter()`, `PrettyPrintXMLWriter.getLineSeparator()`